# stg-id(1) Manual Page

## NAME

stg-id - Print git hash of a StGit revision

## SYNOPSIS

    stg id [OPTIONS] [revision]

## DESCRIPTION

Print the hash (object id) of a StGit revision.

In addition to standard Git revision specifiers (revspecs), patches may be of a stack. If no branch is specified, the current branch is used by default. The parent of a patch may be specified with [<branch>:]<patch>^.

## OPTIONS

-b <branch>
--branch=<branch>

  Use <branch> instead of current branch

## StGit

Part of the StGit suite - see stg(1)